--- old/usr/src/head/siginfo.h	Tue Apr 28 16:09:46 2015
+++ new/usr/src/head/siginfo.h	Tue Apr 28 16:09:46 2015
@@ -52,8 +52,10 @@
 extern const struct siginfolist *_sys_siginfolistp;
 #define	_sys_siginfolist	_sys_siginfolistp
 
+#if defined(_XPG7) || !defined(_STRICT_SYMBOLS)
 extern void psignal(int, const char *);
 extern void psiginfo(const siginfo_t *, const char *);
+#endif
 
 #ifdef	__cplusplus
 }
--- old/usr/src/test/libc-tests/cfg/symbols/signal_h.cfg	Tue Apr 28 16:09:47 2015
+++ new/usr/src/test/libc-tests/cfg/symbols/signal_h.cfg	Tue Apr 28 16:09:47 2015
@@ -11,6 +11,7 @@
 
 #
 # Copyright 2015 Garrett D'Amore <garrett@damore.org>
+# Copyright 2015 Circonus, Inc.  All rights reserved.
 #
 
 #
@@ -21,6 +22,7 @@
 # Types.
 #
 type | ucontext_t | signal.h | -ALL SUS+
+type | siginfo_t  | signal.h | -ALL POSIX-1993+ SUS+
 
 #
 # Values.
@@ -30,3 +32,12 @@
 #
 # Functions.
 #
+func | psiginfo                        |\
+       void                            |\
+       const siginfo_t *; const char * |\
+       siginfo.h                       | -ALL SUSv4+
+
+func | psignal                         |\
+       void                            |\
+       int; const char *               |\
+       siginfo.h                       | -ALL SUSv4+
